> For the complete documentation index, see [llms.txt](https://docs.indicio.tech/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.indicio.tech/developer/indicio-proven-r/api-reference/context.md).

# Context

Endpoints for managing contexts

## Get all JSON-LD context files for a specific wallet

> This endpoint retrieves all JSON-LD context files for the authenticated wallet.

```json
{"openapi":"3.0.0","info":{"title":"Proven API","version":"1.0.0"},"tags":[{"name":"Context","description":"Endpoints for managing contexts"}],"servers":[{"url":"https://proven-4-2-test.proven.indicio.tech"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"x-api-key"}}},"paths":{"/api/v1/context":{"get":{"summary":"Get all JSON-LD context files for a specific wallet","description":"This endpoint retrieves all JSON-LD context files for the authenticated wallet.","tags":["Context"],"responses":{"200":{"description":"A list of JSON-LD context files for the wallet","content":{"application/json":{"schema":{"type":"array","items":{"type":"object"}}}}},"401":{"description":"Unauthorized"},"500":{"description":"Internal Server Error","content":{"application/json":{}}}}}}}}
```

## Save a JSON-LD context file for a specific wallet

> This endpoint saves a JSON-LD context file for a specific wallet.

```json
{"openapi":"3.0.0","info":{"title":"Proven API","version":"1.0.0"},"tags":[{"name":"Context","description":"Endpoints for managing contexts"}],"servers":[{"url":"https://proven-4-2-test.proven.indicio.tech"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"x-api-key"}}},"paths":{"/api/v1/context":{"post":{"summary":"Save a JSON-LD context file for a specific wallet","description":"This endpoint saves a JSON-LD context file for a specific wallet.","tags":["Context"],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"context_file_id":{"type":"string","description":"The filename of the JSON-LD context file to save."},"file":{"type":"object","properties":{"@context":{"type":"object","description":"The JSON-LD context."}}}}}}}},"responses":{"200":{"description":"Context saved successfully","content":{"application/json":{}}},"400":{"description":"Bad Request"},"401":{"description":"Unauthorized"},"500":{"description":"Internal Server Error"}}}}}}
```

## Get a JSON-LD context file by ID for a specific wallet

> This endpoint retrieves a JSON-LD context file by its ID for the authenticated wallet.

```json
{"openapi":"3.0.0","info":{"title":"Proven API","version":"1.0.0"},"tags":[{"name":"Context","description":"Endpoints for managing contexts"}],"servers":[{"url":"https://proven-4-2-test.proven.indicio.tech"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"x-api-key"}}},"paths":{"/api/v1/context/{context_file_id}":{"get":{"summary":"Get a JSON-LD context file by ID for a specific wallet","description":"This endpoint retrieves a JSON-LD context file by its ID for the authenticated wallet.","tags":["Context"],"parameters":[{"in":"path","name":"context_file_id","required":true,"schema":{"type":"string"},"description":"The ID of the JSON-LD context file to retrieve."}],"responses":{"200":{"description":"JSON-LD context file retrieved successfully","content":{"application/json":{"schema":{"type":"object"}}}},"401":{"description":"Unauthorized"},"404":{"description":"Context file not found"},"500":{"description":"Internal Server Error"}}}}}}
```

## Get all JSON-LD context files from all wallets

> This endpoint retrieves all JSON-LD context files from all wallets (static route).

```json
{"openapi":"3.0.0","info":{"title":"Proven API","version":"1.0.0"},"tags":[{"name":"Context","description":"Endpoints for managing contexts"}],"servers":[{"url":"https://proven-4-2-test.proven.indicio.tech"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"x-api-key"}}},"paths":{"/context":{"get":{"summary":"Get all JSON-LD context files from all wallets","description":"This endpoint retrieves all JSON-LD context files from all wallets (static route).","tags":["Context"],"responses":{"200":{"description":"A list of all JSON-LD context files","content":{"application/json":{"schema":{"type":"array","items":{"type":"object"}}}}},"500":{"description":"Internal Server Error","content":{"application/json":{}}}}}}}}
```
